// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

inline 
bdReferencable::bdReferencable()
: m_refCount(0)
{
}

inline 
bdInt bdReferencable::addRef() 
{
    return ++m_refCount;
}

inline 
bdInt bdReferencable::releaseRef() 
{
    return --m_refCount;
}


inline 
bdInt bdReferencable::getRefCount() const
{
    return m_refCount;
}


